<?php 

echo CHtml::tag("h2", array(), "Device Self Test.");

echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form( array("run") ) . "\n";

echo CHtml::tag("p", array(), "Select the tests that are to be run in the form below. The tests will be run in the order shown.");

echo CHtml::openTag("table", array( 'class'=>'diagnosis list') );

echo CHtml::tag("tr", array(),  
                        CHtml::tag("th", array(), "Test") . 
                        CHtml::tag("th", array(),  "Run") . 
                        CHtml::tag("th", array(), "Skip") .
                        CHtml::tag("th" , array(), "Notes") 
              );
$helps = array(); 
$cp=1;

foreach ( $diag->tests as $test ) {
    echo CHtml::openTag("tr");
    
    $name = htmlspecialchars("test_".$test['name']);
     
     echo Chtml::tag("td", array( 'class'=>'label' ), CHtml::label( $test['label'], $name ) );
     echo Chtml::tag("td", array( 'class'=>'center' ), CHtml::radioButton( $name, true, array( 'value'=>'run' ) ) );
     echo Chtml::tag("td", array( 'class'=>'center' ), CHtml::radioButton( $name, false, array( 'value'=>'skip' ) ) );
     
    
    if ( isset( $test['help'] ) ){
        //echo CHtml::tag("tr", array(), CHtml::tag("td", array( 'colspan'=> 3 )) . CHtml::tag("td", array( 'colspan'=> 1 ), $test['help'] ) );
        echo CHtml::tag("td", array( 'class'=>'notes' ), "*[".$cp++."]");
        $helps[]=$test['help'];
    } else 
        echo CHtml::tag("td");

    echo CHtml::closeTag("tr");
}
echo CHtml::closeTag("table");

if ( count($helps)>0 ){
    echo CHtml::tag("h3", array(), "Notes");
    echo CHtml::openTag("ol");
    foreach ( $helps as $help) {
        echo CHtml::tag("li", array(), $help);
    } 
    echo CHtml::closeTag("ol");
}
echo CHtml::submitButton("Start Test");

echo CHtml::endForm() . CHtml::closeTag("div" );